Trouble starting Coreform Cubit

Hello,

i have installed Coreform Cubit on my system.
First i had trouble with some libraries but I could fix that by acquiring some packages.

Now when I am trying to start it I get the following message:

qt.qpa.plugin: Could not load the Qt platform plugin “xcb” in “” even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, webgl, xcb.

Aborted

I tried then starting Ubuntu with Wayland but I always get the same error.

Is there a way to fix this?

Kind regards,
Gerald

Hi Gerald, we’re sorry you’ve run into issues with installation. This error means there’s some kind of problem with your GUI setup, either that you have a different version of Qt installed on your system or you’re missing some required GUI packages. Please make sure you have these packages installed:
libx11-6
libxt6
libgl1 (If graphics driver is not already installed)
libglu1-mesa (If graphics driver is not already installed)
libgl1-mesa-glx (If graphics driver is not already installed)
libxcb-icccm4
libxcb-image0
libxcb-keysyms1
libxcb-render-util0
libxkbcommon-x11-0
libxcb-randr0
libxcb-xinerama0
You most likely already have these packages installed. If none of those packages fixes the issue, then please take a system call log using strace like this: strace -o debug_cubit.txt ./coreform_cubit. Please attach debug_cubit.txt here and we’ll take a look at it.

Hi Scot,

thank you very much. Indeed i was missing some of these packages on my system.
I installed the missing packages simply via apt and now it works.

Thank you a lot!

What may be of interest to you or other users, I also managed to get it to run on Debian, for that I had to borrow the build-essential package from the unstable repository and then install the missing packages from your list. That approach is of course not very stable, but if you only have debian available its a possible way.

Have a nice day!